[arch-commits] Commit in libid3tag/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Apr 10 01:54:32 EDT 2009


    Date: Friday, April 10, 2009 @ 01:54:32
  Author: eric
Revision: 34563

Merged revisions 356,12119,34558 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/libid3tag/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r12119 | ronald | 2008-09-10 13:07:56 -0400 (Wed, 10 Sep 2008) | 1 line
  
  fix license
........
  r34558 | eric | 2009-04-10 01:28:05 -0400 (Fri, 10 Apr 2009) | 2 lines
  
  upgpkg: libid3tag 0.15.1b-3
      License rebuild
........

Modified:
  libid3tag/repos/extra-i686/	(properties)
  libid3tag/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)


Property changes on: libid3tag/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /libid3tag/trunk:1
   + /libid3tag/trunk:1-34562

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-10 05:46:06 UTC (rev 34562)
+++ extra-i686/PKGBUILD	2009-04-10 05:54:32 UTC (rev 34563)
@@ -2,19 +2,20 @@
 # Maintainer: dorphell <dorphell at archlinux.org>
 pkgname=libid3tag
 pkgver=0.15.1b
-pkgrel=2
+pkgrel=3
 pkgdesc="library for id3 tagging"
+arch=('i686' 'x86_64')
 url="http://www.underbit.com/products/mad/"
+license=('GPL')
 depends=('zlib')
+options=(!libtool)
 source=(ftp://ftp.mars.org/pub/mpeg/$pkgname-$pkgver.tar.gz id3tag.pc)
-url="http://www.underbit.com/products/mad/"
 md5sums=('e5808ad997ba32c498803822078748c3' 'cd5ea001dc24505040b781ad1de9ddf2')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
-  install -D -m644 $startdir/src/id3tag.pc $startdir/pkg/usr/lib/pkgconfig/id3tag.pc
-  find $startdir/pkg -name '*.la' -exec rm {} \;
+  make DESTDIR=$pkgdir install || return 1
+  install -D -m644 $srcdir/id3tag.pc $pkgdir/usr/lib/pkgconfig/id3tag.pc
 }



More information about the arch-commits mailing list